org.keycloak.saml.processing.core.constants

## Interface PicketLinkFederationConstants

-     public interface PicketLinkFederationConstants

  Constants useful to the JBoss Identity Federation project
  Since:
    Feb 23, 2009
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DSA_SIGNATURE_ALGORITHM`
    `static String` | `FILE_STORE_DIRECTORY`
    `static String` | `IDP_PROPERTIES`
    `static String` | `ITERATION_COUNT`
    `static String` | `JAXB_SCHEMA_VALIDATION` Flag to indicate whether JAXB Schema Validation is turned on
    `static String` | `PASS_MASK_PREFIX`
    `static String` | `PBE_ALGORITHM`
    `static String` | `RSA_SIGNATURE_ALGORITHM`
    `static RuntimePermission` | `RUNTIME_PERMISSION_CORE`
    `static String` | `SALT`
    `static String` | `SCHEMA_IDFED`
    `static String` | `SCHEMA_IDFED_HANDLER`
    `static String` | `SERIALIZATION_EXTENSION`
    `static String` | `SP_PROPERTIES`

- - ### Field Detail

    - #### JAXB_SCHEMA_VALIDATION

          static final String JAXB_SCHEMA_VALIDATION

      Flag to indicate whether JAXB Schema Validation is turned on
      See Also:
        Constant Field Values

    - #### SCHEMA_IDFED

          static final String SCHEMA_IDFED

      See Also:
        Constant Field Values

    - #### SCHEMA_IDFED_HANDLER

          static final String SCHEMA_IDFED_HANDLER

      See Also:
        Constant Field Values

    - #### DSA_SIGNATURE_ALGORITHM

          static final String DSA_SIGNATURE_ALGORITHM

      See Also:
        Constant Field Values

    - #### RSA_SIGNATURE_ALGORITHM

          static final String RSA_SIGNATURE_ALGORITHM

      See Also:
        Constant Field Values

    - #### SERIALIZATION_EXTENSION

          static final String SERIALIZATION_EXTENSION

      See Also:
        Constant Field Values

    - #### FILE_STORE_DIRECTORY

          static final String FILE_STORE_DIRECTORY

      See Also:
        Constant Field Values

    - #### IDP_PROPERTIES

          static final String IDP_PROPERTIES

      See Also:
        Constant Field Values

    - #### SP_PROPERTIES

          static final String SP_PROPERTIES

      See Also:
        Constant Field Values

    - #### SALT

          static final String SALT

      See Also:
        Constant Field Values

    - #### ITERATION_COUNT

          static final String ITERATION_COUNT

      See Also:
        Constant Field Values

    - #### PBE_ALGORITHM

          static final String PBE_ALGORITHM

      See Also:
        Constant Field Values

    - #### PASS_MASK_PREFIX

          static final String PASS_MASK_PREFIX

      See Also:
        Constant Field Values

    - #### RUNTIME_PERMISSION_CORE

          static final RuntimePermission RUNTIME_PERMISSION_CORE

Copyright © 2016 JBoss by Red Hat. All rights reserved.